TimeSeriesChunk
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks
Class TimeSeriesChunk

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.Chunk
          org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.TimeSeriesChunk

    public class TimeSeriesChunk

extends Chunk

Constructor Summary
`TimeSeriesChunk(java.lang.String singletonString, java.lang.String ColumnType, java.math.BigInteger start, int ChunkSize, LexicalEngineConfiguration Config, Engine engine)`
`TimeSeriesChunk(java.lang.String timeSeriesName, java.lang.String timeSeriesColumn, java.lang.String ColumnType, java.math.BigInteger start, int ChunkSize, LexicalEngineConfiguration Config, Engine engine)`

Method Summary
`void` | `compareToReferenceChunk(java.util.HashMap<java.lang.String,CategoryScores> scoresTable, ReferenceChunk catChunk)`
`void` | `compareToReferenceChunk(java.util.HashMap<java.lang.String,CategoryScores> scoresTable, ReferenceChunk catChunk, java.lang.String ColumnFilter)`
`java.lang.String` | `getColumnType()`
`java.util.ArrayList<SingleResult>` | `getDetailedResults()`
`java.lang.String` | `getSingletonEntry()`
`boolean` | `isSingleton()`
`boolean` | `mustInterruptProcess()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesChunk

    public TimeSeriesChunk(java.lang.String timeSeriesName,
                           java.lang.String timeSeriesColumn,
                           java.lang.String ColumnType,
                           java.math.BigInteger start,
                           int ChunkSize,
                           LexicalEngineConfiguration Config,
                           Engine engine)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

### TimeSeriesChunk

    public TimeSeriesChunk(java.lang.String singletonString,
                           java.lang.String ColumnType,
                           java.math.BigInteger start,
                           int ChunkSize,
                           LexicalEngineConfiguration Config,
                           Engine engine)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getColumnType

    public java.lang.String getColumnType()

### getSingletonEntry

    public java.lang.String getSingletonEntry()

### getDetailedResults

    public java.util.ArrayList<SingleResult> getDetailedResults()

### isSingleton

    public boolean isSingleton()

### mustInterruptProcess

    public boolean mustInterruptProcess()

### compareToReferenceChunk

    public void compareToReferenceChunk(java.util.HashMap<java.lang.String,CategoryScores> scoresTable,
                                        ReferenceChunk catChunk)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### compareToReferenceChunk

    public void compareToReferenceChunk(java.util.HashMap<java.lang.String,CategoryScores> scoresTable,
                                        ReferenceChunk catChunk,
                                        java.lang.String ColumnFilter)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD